Subject: Re: bug#27900: broken checkout? can't run autotools (automake) anymore in guix repository
From: ng0 <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: ng0 <[email-masked]>, [email-masked]
Date: Tue, 1 Aug 2017 09:27:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic transcribed 0.8K bytes:
> Hi ng0,
> 
> >        guix environment --fallback --ad-hoc guix autoconf [email-masked] make guile guile-ssh pkg-config gcc-toolchain libgcrypt gnutls guile-json zlib bzip2 sqlite help2man gettext texinfo guile-git
> 
> I only ever do 
> 
> $ guix environment --fallback --pure guix
> 
> (The "--pure" is important)

Nice. This fixed my issue.
My pure environment is not so pure because I'm having issues with bashrc and bash_profile at the moment
(bash_profile isn't respecting some of my files which provide all the bash things I have),
but it worked.

> and it works fine, bootstrapping too (via ./bootstrap - which invokes autoreconf).
> 
> I mean I guess your ad-hoc-everything way should be possible, but why would you do that?

Well I only started using the guix environment subcommands recently and I am experimenting.
--ad-hoc seemed logical to me, but as we use pure with guix, it already provides everything
guix needs. So no reason to use adhoc.

It makes the setup flaky should the guix package ever change its inputs (I don't know whether it did in fact do that).
> 
> I do sometimes specify extra ad-hoc packages, like so:
> 
> $ guix environment --fallback --pure guix --ad-hoc guile-ncurses-with-gpm
> 
> The order of the arguments is sometimes important.  I think of "--ad-hoc" like "--" for many other UNIX commands (startx etc).
> 

Okay, thanks for your help!
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org